Cassandra.execute_prepared_cql3_query_result (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class Cassandra.execute_prepared_cql3_query_result

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.execute_prepared_cql3_query_result

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.execute_prepared_cql3_query_result>, org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.execute_prepared_cql3_query_result
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.execute_prepared_cql3_query_result>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.execute_prepared_cql3_query_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `InvalidRequestException` | `ire`
    `static java.util.Map<Cassandra.execute_prepared_cql3_query_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `SchemaDisagreementException` | `sde`
    `CqlResult` | `success`
    `TimedOutException` | `te`
    `UnavailableException` | `ue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cassandra.execute_prepared_cql3_query_result()`
    `Cassandra.execute_prepared_cql3_query_result(Cassandra.execute_prepared_cql3_query_result other)` Performs a deep copy on other.
    `Cassandra.execute_prepared_cql3_query_result(CqlResult success, InvalidRequestException ire, UnavailableException ue, TimedOutException te, SchemaDisagreementException sde)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.execute_prepared_cql3_query_result other)`
    `Cassandra.execute_prepared_cql3_query_result` | `deepCopy()`
    `boolean` | `equals(Cassandra.execute_prepared_cql3_query_result that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.execute_prepared_cql3_query_result._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(Cassandra.execute_prepared_cql3_query_result._Fields field)`
    `InvalidRequestException` | `getIre()`
    `SchemaDisagreementException` | `getSde()`
    `CqlResult` | `getSuccess()`
    `TimedOutException` | `getTe()`
    `UnavailableException` | `getUe()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.execute_prepared_cql3_query_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIre()` Returns true if field ire is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSde()` Returns true if field sde is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSuccess()` Returns true if field success is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTe()` Returns true if field te is set (has been assigned a value) and false otherwise
    `boolean` | `isSetUe()` Returns true if field ue is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(Cassandra.execute_prepared_cql3_query_result._Fields field, java.lang.Object value)`
    `Cassandra.execute_prepared_cql3_query_result` | `setIre(InvalidRequestException ire)`
    `void` | `setIreIsSet(boolean value)`
    `Cassandra.execute_prepared_cql3_query_result` | `setSde(SchemaDisagreementException sde)`
    `void` | `setSdeIsSet(boolean value)`
    `Cassandra.execute_prepared_cql3_query_result` | `setSuccess(CqlResult success)`
    `void` | `setSuccessIsSet(boolean value)`
    `Cassandra.execute_prepared_cql3_query_result` | `setTe(TimedOutException te)`
    `void` | `setTeIsSet(boolean value)`
    `Cassandra.execute_prepared_cql3_query_result` | `setUe(UnavailableException ue)`
    `void` | `setUeIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetIre()`
    `void` | `unsetSde()`
    `void` | `unsetSuccess()`
    `void` | `unsetTe()`
    `void` | `unsetUe()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### success

          public CqlResult success

    - #### ire

          public InvalidRequestException ire

    - #### ue

          public UnavailableException ue

    - #### te

          public TimedOutException te

    - #### sde

          public SchemaDisagreementException sde

    - #### metaDataMap

          public static final java.util.Map<Cassandra.execute_prepared_cql3_query_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### Cassandra.execute_prepared_cql3_query_result

          public Cassandra.execute_prepared_cql3_query_result()

    - #### Cassandra.execute_prepared_cql3_query_result

          public Cassandra.execute_prepared_cql3_query_result(CqlResult success,
                                                      InvalidRequestException ire,
                                                      UnavailableException ue,
                                                      TimedOutException te,
                                                      SchemaDisagreementException sde)

    - #### Cassandra.execute_prepared_cql3_query_result

          public Cassandra.execute_prepared_cql3_query_result(Cassandra.execute_prepared_cql3_query_result other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.execute_prepared_cql3_query_result deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>`

    - #### getSuccess

          public CqlResult getSuccess()

    - #### setSuccess

          public Cassandra.execute_prepared_cql3_query_result setSuccess(CqlResult success)

    - #### unsetSuccess

          public void unsetSuccess()

    - #### isSetSuccess

          public boolean isSetSuccess()

      Returns true if field success is set (has been assigned a value) and false otherwise

    - #### setSuccessIsSet

          public void setSuccessIsSet(boolean value)

    - #### getIre

          public InvalidRequestException getIre()

    - #### setIre

          public Cassandra.execute_prepared_cql3_query_result setIre(InvalidRequestException ire)

    - #### unsetIre

          public void unsetIre()

    - #### isSetIre

          public boolean isSetIre()

      Returns true if field ire is set (has been assigned a value) and false otherwise

    - #### setIreIsSet

          public void setIreIsSet(boolean value)

    - #### getUe

          public UnavailableException getUe()

    - #### setUe

          public Cassandra.execute_prepared_cql3_query_result setUe(UnavailableException ue)

    - #### unsetUe

          public void unsetUe()

    - #### isSetUe

          public boolean isSetUe()

      Returns true if field ue is set (has been assigned a value) and false otherwise

    - #### setUeIsSet

          public void setUeIsSet(boolean value)

    - #### getTe

          public TimedOutException getTe()

    - #### setTe

          public Cassandra.execute_prepared_cql3_query_result setTe(TimedOutException te)

    - #### unsetTe

          public void unsetTe()

    - #### isSetTe

          public boolean isSetTe()

      Returns true if field te is set (has been assigned a value) and false otherwise

    - #### setTeIsSet

          public void setTeIsSet(boolean value)

    - #### getSde

          public SchemaDisagreementException getSde()

    - #### setSde

          public Cassandra.execute_prepared_cql3_query_result setSde(SchemaDisagreementException sde)

    - #### unsetSde

          public void unsetSde()

    - #### isSetSde

          public boolean isSetSde()

      Returns true if field sde is set (has been assigned a value) and false otherwise

    - #### setSdeIsSet

          public void setSdeIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.execute_prepared_cql3_query_result._Fields field,
                           java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.execute_prepared_cql3_query_result._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.execute_prepared_cql3_query_result._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.execute_prepared_cql3_query_result that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.execute_prepared_cql3_query_result other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.execute_prepared_cql3_query_result>`

    - #### fieldForId

          public Cassandra.execute_prepared_cql3_query_result._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql3_query_result,Cassandra.execute_prepared_cql3_query_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2014 The Apache Software Foundation